aboutsummaryrefslogtreecommitdiffstats
path: root/helpers/update-branches.sh
diff options
context:
space:
mode:
authorArnold D. Robbins <arnold@skeeve.com>2017-02-23 06:43:42 +0200
committerArnold D. Robbins <arnold@skeeve.com>2017-02-23 06:43:42 +0200
commitecedbb5f3005e05ab50f9b641a22e193a47f5f3f (patch)
treedd40afa2dd4d20ad05a63c2ece4c2bdfd0288052 /helpers/update-branches.sh
parent2b66009a26fc776910ef97e67d59a3947f3e901d (diff)
parent985825455031c54c78efd9e71c54833a6886a25d (diff)
downloadegawk-ecedbb5f3005e05ab50f9b641a22e193a47f5f3f.tar.gz
egawk-ecedbb5f3005e05ab50f9b641a22e193a47f5f3f.tar.bz2
egawk-ecedbb5f3005e05ab50f9b641a22e193a47f5f3f.zip
Merge branch 'master' into feature/stringfix
Diffstat (limited to 'helpers/update-branches.sh')
-rwxr-xr-xhelpers/update-branches.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/helpers/update-branches.sh b/helpers/update-branches.sh
new file mode 100755
index 00000000..659da8b8
--- /dev/null
+++ b/helpers/update-branches.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+if [ ! -d .git ]
+then
+ echo you must run this script from the top level directory
+ exit 1
+fi
+
+git checkout master || exit
+
+features=$(git branch -a | grep /origin/feature/ | sed 's;.*/origin/;;')
+others="porting"
+
+for i in $others $features
+do
+ (git checkout $i && git pull && git merge master && git push) || break
+done
+
+git checkout master || exit